Skip to main content
Returns a list of business units according to the specified region.

HTTP request

GET https://api-{location-id}.flexicapture.com/v2/dataset/businessunits/{region}
Replace {location-id} with your supported location.

Path parameters

ParameterTypeDescription
regionpath, stringRequired. Invoice region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.
ExternalIdquery, stringOptional. External business unit ID.
Skipquery, integerOptional. Skip count.

Response

If successful, the response body contains an instance of BusinessUnitsResponseModel. If the request is successful but business units with the specified region are not found, the server returns a 204 No Content HTTP status.
{
  "external_id": "string",
  "name": [
    "string"
  ],
  "street": [
    "string"
  ],
  "city": [
    "string"
  ],
  "state": [
    "string"
  ],
  "zip": [
    "string"
  ],
  "country_code": "string",
  "vat": [
    "string"
  ]
}
FieldTypeDescription
external_idstringRequired. External business unit ID.
name[]stringRequired. Business unit name.
street[]stringOptional. Business unit street.
city[]stringOptional. Business unit city.
state[]stringOptional. Business unit state.
zip[]stringOptional. Business unit zip code.
country_codestringRequired. Country code in ISO 3166-1 alpha-2 format.
vat[]stringOptional. Tax payer ID.